{% extends "account/base.html" %}

{% load i18n %}
{% load account socialaccount %}
{% load bootstrap4 %}


{% block head_title %}{% trans "Sign In" %}{% endblock %}

{% block content %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'landing:index' %}">Главная</a></li>
            <li class="breadcrumb-item active" aria-current="page">Вход</li>
        </ol>
    </nav>
{#    <h1>{% trans "Sign In" %}</h1>#}

{#    {% get_providers as socialaccount_providers %}#}
{##}
{#{% if socialaccount_providers %}#}
{#<p>{% blocktrans with site.name as site_name %}Please sign in with one#}
{#of your existing third party accounts. Or, <a href="{{ signup_url }}">sign up</a>#}
{#for a {{ site_name }} account and sign in below:{% endblocktrans %}</p>#}
{##}
{#        <div class="socialaccount_ballot">#}
{##}
{#            <ul class="socialaccount_providers">#}
{#                {% include "socialaccount/snippets/provider_list.html" with process="login" %}#}
{#            </ul>#}
{##}
{#            <div class="login-or">{% trans 'or' %}</div>#}
{##}
{#        </div>#}
{##}
{#        {% include "socialaccount/snippets/login_extra.html" %}#}
{##}
{#    {% else %}#}
{#        <p>{% blocktrans %}If you have not created an account yet, then please#}
{#            <a href="{{ signup_url }}">sign up</a> first.{% endblocktrans %}</p>#}
{#    {% endif %}#}
{##}
{#            <form class="login" method="POST" action="{% url 'account_login' %}">#}
{#        {% csrf_token %}#}
{#          {{ form.as_p }}#}
{#        {% bootstrap_form form %}#}
{#        {% if redirect_field_value %}#}
{#            <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}" />#}
{#        {% endif %}#}
{#        <a class="button secondaryAction" href="{% url 'account_reset_password' %}">{% trans "Forgot Password?" %}</a>#}
{#        <button class="primaryAction btn btn-primary" type="submit">{% trans "Sign In" %}</button>#}
{#    </form>#}


    {% include '_login_social.html' with without_alert=True %}


    <div class="col-md-6 offset-md-3 text-center">
    <br>
        <p>Если Вы не имеете вышеуказанных аккаунтов, можете зарегистрироваться
            <a href="{{ signup_url }}">здесь</a></p>

    <p> или войти:</p>
        <form class="login" method="POST" action="{% url 'account_login' %}">
        {% csrf_token %}
            {% for field in form %}
            {% bootstrap_field field show_label=False%}
        {% endfor %}
        {% if redirect_field_value %}
            <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}" />
        {% endif %}
        <button class="primaryAction btn btn-primary" type="submit">{% trans "Sign In" %}</button>
              <p>  <a class="button secondaryAction" href="{% url 'account_reset_password' %}">{% trans "Forgot Password?" %}</a></p>

    </form>
    </div>
{% endblock %}
